Moonborn — API · config
Export all config values for a scope as a portable payload
GET/v1/config/exportscope · Bearer (API key or session JWT)
Query parameters
| Field | Type | Description |
|---|---|---|
| scope_level | string | |
| scope_id | string |
Responses
200Exported config payload
Body
| Field | Type | Description |
|---|---|---|
| scopeLevelreq | string · "system" | "env" | "plan" | "org" | "workspace" | "user" | "api_key" | "request" | |
| scopeIdreq | string | |
| exportedAtreq | string | |
| payloadreq | object |
401Unauthenticated
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
403Forbidden
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
Examples
cURL
curl -X GET https://api.moonborn.co/v1/config/export \ -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.config.exportConfig();Python
import os from moonborn import Moonborn client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"]) result = client.config.export_config()